QuantLib: StulzEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Public Member Functions | List of all members
StulzEngine Class Reference
Pricing engines » Basket option engines

Pricing engine for 2D European Baskets. More...

`#include <ql/pricingengines/basket/stulzengine.hpp>`

Inheritance diagram for StulzEngine:
[legend]

## Public Member Functions
| StulzEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &process2, Real correlation)
void | calculate () const
Public Member Functions inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from GenericEngine< BasketOption::arguments, BasketOption::results >
BasketOption::arguments | arguments_
BasketOption::results | results_

## Detailed Description

Pricing engine for 2D European Baskets.

This class implements formulae from "Options on the Minimum or the Maximum of Two Risky Assets", Rene Stulz, Journal of Financial Ecomomics (1982) 10, 161-185.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.